Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Namespace fabric.Element#cache

Defined in: element.class.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.Element#cache

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | fabric.Element#cache.get(url, callback)
<static> | fabric.Element#cache.has(name, callback)
<static> | fabric.Element#cache.set(url, object)

Namespace Detail
fabric.Element#cache
Method Detail
<static> fabric.Element#cache.get(url, callback)

Parameters:
{String} url
{Function} callback

<static> fabric.Element#cache.has(name, callback)

Parameters:
{String} name
{Function} callback

<static> fabric.Element#cache.set(url, object)

Parameters:
{String} url
{Object} object

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:42 GMT-0400 (EDT)